/*******************************************************************************
 * Copyright (c) 2002 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Common Public License v0.5
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v05.html
 * 
 * Contributors:
 * IBM - Initial API and implementation
 ******************************************************************************/
package org.eclipse.team.internal.ftp.client;

import org.eclipse.team.internal.ftp.FTPException;

/**
 * Exception class for non-fatal errors thrown as a result of the
 * receipt of certain server responses.
 */
public class FTPServerException extends FTPException {
	
	public static final int DIRECTORY_EXIST = 521;
	public static final int DOES_NOT_EXIST = 550;
	
	public FTPServerException(String message, int code) {
		super(message, code);
	}
	public static String getTextOfMessage(String message, int code) {
		String codeString = Integer.toString(code);
		if (message.startsWith(codeString)) {
			message = message.substring(codeString.length() + 1);
		}
		return message;
	}
}
