/*******************************************************************************
 * Copyright (c) 2002 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Common Public License v0.5
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v05.html
 * 
 * Contributors:
 * IBM - Initial API and implementation
 ******************************************************************************/
package org.eclipse.team.internal.ftp.client;

public interface IFTPClientListener {
	/**
	 * Called when a response is received from the server.
	 * @param responseCode the 3 digit response
	 * @param responseText the multi-line text string, lines are terminated by \n
	 */
	public void responseReceived(int responseCode, String responseText);
	/**
	 * Called when a request is sent to the server.
	 * @param command the command sent to the server
	 * @param argument the argument sent to the server
	 */
	public void requestSent(String command, String argument);
}
